Subject: bug#35725: 26.2; Fatal error 11: Segmentation fault; Crash on: (find-file "any.svg")

From: Noam Postavsky <[email-masked]>
Date: Mon, 13 May 2019 21:16:47 -0400

Michael Pagan <[email-masked]> writes:

> GNU Emacs 24.5 can open SVG files; however, versions 25.1 to 26.2 can
> not.  In `dired' with point on an SVG file, begin crash on <RET>.
>
> Certainly, imagemagick is involved in this process, but installing,
> removing, and even purging and re-installing imagemagick has not
> yielded any different type of reaction from GNU Emacs.  Regardless,
> Emacs shouldn’t behave like this.

I think this might be the same as Bug#29581; we closed that as being a
bug in some version of ImageMagick, but it's occurring to me that since
the backtrace ends in emacs, perhaps it is actually an Emacs bug after
all.

https://debbugs.gnu.org/29581